<div class="rounded-md mt-5">
  <h1 class="font-medium text-2xl text-white mb-5">Danh Sách Sản Phẩm</h1>
  <div class="grid grid-cols-1 md:grid-cols-2 lg:grid-cols-3 xl:grid-cols-4 gap-6">
    <div *ngFor="let product of products; index as i"
      class="rounded-md border border-gray-600 shadow-lg transition-transform transform hover:-translate-y-1 hover:shadow-2xl">
      <div
        class="relative rounded-md overflow-hidden cursor-pointer transition-transform transform hover:-translate-y-1">
        <img src="{{product.image}}" class="w-full h-[350px] object-cover filter blur-md" alt="{{ product.name }}">
        <!-- Overlay -->
        <div class="absolute inset-0 bg-black bg-opacity-50 rounded-md"></div>
        <img src="{{product.image}}" class="absolute inset-0 transform object-cover p-3 rounded-md"
          alt="{{ product.name }}">
        <div class="absolute top-[250px] inset-0 flex flex-col justify-end px-3 mb-5 text-white">
          <h3 class="font-medium">{{ product.name }}</h3>
          <div class="flex justify-between mt-2">
            <span class="text-red-400 text-xs font-bold">${{ product.price }}</span>
            <span class="text-gray-500 text-xs font-bold line-through">${{ product.price }}</span>
          </div>
          <button
            class="bg-pink-500 text-white hover:bg-white hover:text-pink-500 p-1 font-semibold rounded-md mt-3 border-2 border-pink-500 transition duration-300">Xem
            Chi Tiết</button>
        </div>
      </div>
    </div>
  </div>
</div>
